library(MASS)
library(ppcor)
library(readxl)

# Import dataset
re <- read_excel("C:/Users/wxk150230/Dropbox/Wukki(Study)/Dissertion/5. Nato burden sharing/replication_NATO/replication_nato.xlsx")

# Keep the variables
re <- re[,c(1:7)]

# Make GDP per capita
re$gdppc <- re$gdp / re$pop

# create new dataset without missing data
re_1961 <- subset(re, year == "1961")
re_1961 <- na.omit(re_1961)

re_1965 <- subset(re, year == "1965")
re_1965 <- na.omit(re_1965)

re_1970 <- subset(re, year == "1970")
re_1970 <- na.omit(re_1970)

re_1975 <- subset(re, year == "1975")
re_1975 <- na.omit(re_1975)

re_1980 <- subset(re, year == "1980")
re_1980 <- na.omit(re_1980)

re_1985 <- subset(re, year == "1985")
re_1985 <- na.omit(re_1985)

re_1990 <- subset(re, year == "1990")
re_1990 <- na.omit(re_1990)

re_1995 <- subset(re, year == "1995")
re_1995 <- na.omit(re_1995)

re_2000 <- subset(re, year == "2000")
re_2000 <- na.omit(re_2000)

re_2005 <- subset(re, year == "2005")
re_2005 <- na.omit(re_2005)

re_2010 <- subset(re, year == "2010")
re_2010 <- na.omit(re_2010)

re_2011 <- subset(re, year == "2011")
re_2011 <- na.omit(re_2011)

re_2012 <- subset(re, year == "2012")
re_2012 <- na.omit(re_2012)

re_2013 <- subset(re, year == "2013")
re_2013 <- na.omit(re_2013)

re_2014 <- subset(re, year == "2014")
re_2014 <- na.omit(re_2014)

re_2015 <- subset(re, year == "2015")
re_2015 <- na.omit(re_2015)

re_2016 <- subset(re, year == "2016")
re_2016 <- na.omit(re_2016)

re_2017 <- subset(re, year == "2017")
re_2017 <- na.omit(re_2017)


# Spearman rank correlation for Table 2
cor.test(re_1961$me_gdp, re_1961$gdp, method = "spearman")
pcor.test(re_1961$me_gdp, re_1961$gdp, c(re_1961$gdppc), method = "spearman")
pcor.test(re_1961$me_gdp, re_1961$gdp, c(re_1961$gdppc, re_1961$borders), method = "spearman")

cor.test(re_1965$me_gdp, re_1965$gdp, method = "spearman")
pcor.test(re_1965$me_gdp, re_1965$gdp, c(re_1965$gdppc), method = "spearman")
pcor.test(re_1965$me_gdp, re_1965$gdp, c(re_1965$gdppc, re_1965$borders), method = "spearman")

cor.test(re_1970$me_gdp, re_1970$gdp, method = "spearman")
pcor.test(re_1970$me_gdp, re_1970$gdp, c(re_1970$gdppc), method = "spearman")
pcor.test(re_1970$me_gdp, re_1970$gdp, c(re_1970$gdppc, re_1970$borders), method = "spearman")

cor.test(re_1975$me_gdp, re_1975$gdp, method = "spearman")
pcor.test(re_1975$me_gdp, re_1975$gdp, c(re_1975$gdppc), method = "spearman")
pcor.test(re_1975$me_gdp, re_1975$gdp, c(re_1975$gdppc, re_1975$borders), method = "spearman")

cor.test(re_1980$me_gdp, re_1980$gdp, method = "spearman")
pcor.test(re_1980$me_gdp, re_1980$gdp, c(re_1980$gdppc), method = "spearman")
pcor.test(re_1980$me_gdp, re_1980$gdp, c(re_1980$gdppc, re_1980$borders), method = "spearman")

cor.test(re_1985$me_gdp, re_1985$gdp, method = "spearman")
pcor.test(re_1985$me_gdp, re_1985$gdp, c(re_1985$gdppc), method = "spearman")
pcor.test(re_1985$me_gdp, re_1985$gdp, c(re_1985$gdppc, re_1985$borders), method = "spearman")

cor.test(re_1990$me_gdp, re_1990$gdp, method = "spearman")
pcor.test(re_1990$me_gdp, re_1990$gdp, c(re_1990$gdppc), method = "spearman")
pcor.test(re_1990$me_gdp, re_1990$gdp, c(re_1990$gdppc, re_1990$borders), method = "spearman")

cor.test(re_1995$me_gdp, re_1995$gdp, method = "spearman")
pcor.test(re_1995$me_gdp, re_1995$gdp, c(re_1995$gdppc), method = "spearman")
pcor.test(re_1995$me_gdp, re_1995$gdp, c(re_1995$gdppc, re_1995$borders), method = "spearman")

cor.test(re_2000$me_gdp, re_2000$gdp, method = "spearman")
pcor.test(re_2000$me_gdp, re_2000$gdp, c(re_2000$gdppc), method = "spearman")
pcor.test(re_2000$me_gdp, re_2000$gdp, c(re_2000$gdppc, re_2000$borders), method = "spearman")

cor.test(re_2005$me_gdp, re_2005$gdp, method = "spearman")
pcor.test(re_2005$me_gdp, re_2005$gdp, c(re_2005$gdppc), method = "spearman")
pcor.test(re_2005$me_gdp, re_2005$gdp, c(re_2005$gdppc, re_2005$borders), method = "spearman")

cor.test(re_2010$me_gdp, re_2010$gdp, method = "spearman")
pcor.test(re_2010$me_gdp, re_2010$gdp, c(re_2010$gdppc), method = "spearman")
pcor.test(re_2010$me_gdp, re_2010$gdp, c(re_2010$gdppc, re_2010$borders), method = "spearman")

cor.test(re_2011$me_gdp, re_2011$gdp, method = "spearman")
pcor.test(re_2011$me_gdp, re_2011$gdp, c(re_2011$gdppc), method = "spearman")
pcor.test(re_2011$me_gdp, re_2011$gdp, c(re_2011$gdppc, re_2011$borders), method = "spearman")

cor.test(re_2012$me_gdp, re_2012$gdp, method = "spearman")
pcor.test(re_2012$me_gdp, re_2012$gdp, c(re_2012$gdppc), method = "spearman")
pcor.test(re_2012$me_gdp, re_2012$gdp, c(re_2012$gdppc, re_2012$borders), method = "spearman")

cor.test(re_2013$me_gdp, re_2013$gdp, method = "spearman")
pcor.test(re_2013$me_gdp, re_2013$gdp, c(re_2013$gdppc), method = "spearman")
pcor.test(re_2013$me_gdp, re_2013$gdp, c(re_2013$gdppc, re_2013$borders), method = "spearman")

cor.test(re_2014$me_gdp, re_2014$gdp, method = "spearman")
pcor.test(re_2014$me_gdp, re_2014$gdp, c(re_2014$gdppc), method = "spearman")
pcor.test(re_2014$me_gdp, re_2014$gdp, c(re_2014$gdppc, re_2014$borders), method = "spearman")

cor.test(re_2015$me_gdp, re_2015$gdp, method = "spearman")
pcor.test(re_2015$me_gdp, re_2015$gdp, c(re_2015$gdppc), method = "spearman")
pcor.test(re_2015$me_gdp, re_2015$gdp, c(re_2015$gdppc, re_2015$borders), method = "spearman")

cor.test(re_2016$me_gdp, re_2016$gdp, method = "spearman")
pcor.test(re_2016$me_gdp, re_2016$gdp, c(re_2016$gdppc), method = "spearman")
pcor.test(re_2016$me_gdp, re_2016$gdp, c(re_2016$gdppc, re_2016$borders), method = "spearman")

cor.test(re_2017$me_gdp, re_2017$gdp, method = "spearman")
pcor.test(re_2017$me_gdp, re_2017$gdp, c(re_2017$gdppc), method = "spearman")
pcor.test(re_2017$me_gdp, re_2017$gdp, c(re_2017$gdppc, re_2017$borders), method = "spearman")


