library(MASS)
library(ppcor)
library(readxl)

# import dataset
re <- read_excel("C:/Users/wxk150230/Dropbox/Wukki(Study)/Dissertion/5. Nato burden sharing/replication_NATO/replication_nato.xlsx")

# Make GDP per capita
re$gdppc <- re$gdp / re$pop

re_2011 <- subset(re, year == "2011")
re_2011 <- na.omit(re_2011)

re_2012 <- subset(re, year == "2012")
re_2012 <- na.omit(re_2012)

re_2013 <- subset(re, year == "2013")
re_2013 <- na.omit(re_2013)

re_2014 <- subset(re, year == "2014")
re_2014 <- na.omit(re_2014)

re_2015 <- subset(re, year == "2015")
re_2015 <- na.omit(re_2015)

re_2016 <- subset(re, year == "2016")
re_2016 <- na.omit(re_2016)

re_2017 <- subset(re, year == "2017")
re_2017 <- na.omit(re_2017)

# spearman and partial spearman test
cor.test(re_2011$se_gdp, re_2011$gdp, method = "spearman")
pcor.test(re_2011$se_gdp, re_2011$gdp, c(re_2011$gdppc), method = "spearman")
pcor.test(re_2011$se_gdp, re_2011$gdp, c(re_2011$gdppc, re_2011$borders), method = "spearman")

cor.test(re_2012$se_gdp, re_2012$gdp, method = "spearman")
pcor.test(re_2012$se_gdp, re_2012$gdp, c(re_2012$gdppc), method = "spearman")
pcor.test(re_2012$se_gdp, re_2012$gdp, c(re_2012$gdppc, re_2012$borders), method = "spearman")

cor.test(re_2013$se_gdp, re_2013$gdp, method = "spearman")
pcor.test(re_2013$se_gdp, re_2013$gdp, c(re_2013$gdppc), method = "spearman")
pcor.test(re_2013$se_gdp, re_2013$gdp, c(re_2013$gdppc, re_2013$borders), method = "spearman")

cor.test(re_2014$se_gdp, re_2014$gdp, method = "spearman")
pcor.test(re_2014$se_gdp, re_2014$gdp, c(re_2014$gdppc), method = "spearman")
pcor.test(re_2014$se_gdp, re_2014$gdp, c(re_2014$gdppc, re_2014$borders), method = "spearman")

cor.test(re_2015$se_gdp, re_2015$gdp, method = "spearman")
pcor.test(re_2015$se_gdp, re_2015$gdp, c(re_2015$gdppc), method = "spearman")
pcor.test(re_2015$se_gdp, re_2015$gdp, c(re_2015$gdppc, re_2015$borders), method = "spearman")

cor.test(re_2016$se_gdp, re_2016$gdp, method = "spearman")
pcor.test(re_2016$se_gdp, re_2016$gdp, c(re_2016$gdppc), method = "spearman")
pcor.test(re_2016$se_gdp, re_2016$gdp, c(re_2016$gdppc, re_2016$borders), method = "spearman")

cor.test(re_2017$se_gdp, re_2017$gdp, method = "spearman")
pcor.test(re_2017$se_gdp, re_2017$gdp, c(re_2017$gdppc), method = "spearman")
pcor.test(re_2017$se_gdp, re_2017$gdp, c(re_2017$gdppc, re_2017$borders), method = "spearman")
